package jp.mosp.platform.human.utils;

import jp.mosp.framework.base.MospParams;

/**
 * 名称に関するユーティリティクラス。<br>
 * 
 * 人事管理において作成される名称は、
 * 全てこのクラスを通じて作成される。<br>
 * <br>
 */
public class HuNameUtility {
	
	/**
	 * 他クラスからのインスタンス化を防止する。<br>
	 */
	private HuNameUtility() {
		// 処理無し
	}
	
	/**
	 * @param mospParams MosP処理情報
	 * @return ファイル名
	 */
	public static String fileName(MospParams mospParams) {
		return mospParams.getName("HuFileName");
	}
	
	/**
	 * @param mospParams MosP処理情報
	 * @return ファイル備考
	 */
	public static String fileRemarks(MospParams mospParams) {
		return mospParams.getName("HuFileRemarks");
	}
	
	/**
	 * @param mospParams MosP処理情報
	 * @return 登録済バイナリファイル
	 */
	public static String registeredFile(MospParams mospParams) {
		return mospParams.getName("HuRegisteredFile");
	}
	
}
